Page MenuHomePhabricator

Ensure fundraising announcment and a/b test system interact smoothly
Closed, ResolvedPublic

Description

[to be updated]

Event Timeline

LGoto created this task.Nov 2 2020, 7:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2020, 7:59 PM
LGoto triaged this task as High priority.Nov 2 2020, 7:59 PM
LGoto moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.

Dev note: keep in mind how we are cleaning out the old fundraising announcement due to the bug from last year here. If for some reason the announcement key stays the same this year (I don't see why it would), we want to make sure this code is removed.

LGoto added a comment.Nov 9 2020, 7:23 PM

Hi @ABorbaWMF just a reminder if you can update this ticket with the details, thanks!

Note, this testing will be blocked on the latest patch from this ticket getting merged. Until then the most recent versions of the app (including 6.7.3 beta) will filter out the fundraising 2020 announcement.

This is no longer blocked - QA should be able to test when both the fundraising and survey announcement is running in the latest TestFlight build.

JMinor closed this task as Resolved.Dec 8 2020, 9:47 PM